Bug 1075951 - [abrt] libreoffice-core: GetMetricText(long, SfxMapUnit, SfxMapUnit, IntlWrapper const*)(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: GetMetricText(long, SfxMapUnit, SfxMapUnit, IntlWrap...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c70e3e645b3dc555fb290c9916a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-13 09:20 UTC by Sara L. Uckelman
Modified: 2014-04-07 03:28 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.2.3.2-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-14 15:40:03 UTC


Attachments (Terms of Use)
File: backtrace (47.89 KB, text/plain)
2014-03-13 09:20 UTC, Sara L. Uckelman
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-13 09:20 UTC, Sara L. Uckelman
no flags Details
File: core_backtrace (29.44 KB, text/plain)
2014-03-13 09:20 UTC, Sara L. Uckelman
no flags Details
File: dso_list (23.46 KB, text/plain)
2014-03-13 09:20 UTC, Sara L. Uckelman
no flags Details
File: environ (3.69 KB, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: exploitable (82 bytes, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: maps (112.72 KB, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: open_fds (550 bytes, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: proc_pid_status (955 bytes, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details
File: var_log_messages (370 bytes, text/plain)
2014-03-13 09:21 UTC, Sara L. Uckelman
no flags Details

Description Sara L. Uckelman 2014-03-13 09:20:24 UTC
Description of problem:
I pressed ctrl + s.

Version-Release number of selected component:
libreoffice-core-4.1.5.3-1.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: GetMetricText(long, SfxMapUnit, SfxMapUnit, IntlWrapper const*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.3-201.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 GetMetricText(long, SfxMapUnit, SfxMapUnit, IntlWrapper const*) at /usr/lib64/libreoffice/program/../program/libeditenglo.so

Comment 1 Sara L. Uckelman 2014-03-13 09:20:31 UTC
Created attachment 873856 [details]
File: backtrace

Comment 2 Sara L. Uckelman 2014-03-13 09:20:36 UTC
Created attachment 873857 [details]
File: cgroup

Comment 3 Sara L. Uckelman 2014-03-13 09:20:39 UTC
Created attachment 873858 [details]
File: core_backtrace

Comment 4 Sara L. Uckelman 2014-03-13 09:20:42 UTC
Created attachment 873859 [details]
File: dso_list

Comment 5 Sara L. Uckelman 2014-03-13 09:21:03 UTC
Created attachment 873860 [details]
File: environ

Comment 6 Sara L. Uckelman 2014-03-13 09:21:03 UTC
Another user experienced a similar problem:

I pressed ctrl + s

reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: GetMetricText(long, SfxMapUnit, SfxMapUnit, IntlWrapper const*)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.13.3-201.fc20.x86_64
package:        libreoffice-core-4.1.5.3-1.fc20
reason:         soffice.bin killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 7 Sara L. Uckelman 2014-03-13 09:21:07 UTC
Created attachment 873861 [details]
File: exploitable

Comment 8 Sara L. Uckelman 2014-03-13 09:21:10 UTC
Created attachment 873862 [details]
File: limits

Comment 9 Sara L. Uckelman 2014-03-13 09:21:15 UTC
Created attachment 873863 [details]
File: maps

Comment 10 Sara L. Uckelman 2014-03-13 09:21:17 UTC
Created attachment 873864 [details]
File: open_fds

Comment 11 Sara L. Uckelman 2014-03-13 09:21:20 UTC
Created attachment 873865 [details]
File: proc_pid_status

Comment 12 Sara L. Uckelman 2014-03-13 09:21:22 UTC
Created attachment 873866 [details]
File: var_log_messages

Comment 13 Caolan McNamara 2014-03-14 11:01:16 UTC
The backtrace is unfortunately completely mangled and of no use. Can you reproduce this problem, and if so how ?

Comment 14 Sara L. Uckelman 2014-03-14 11:41:22 UTC
I'm not sure; yesterday morning it happened 4-5 times in succession (I'd open libreoffice, recover the files that were not closed properly due to the previous crash, edit them, try to save, and *crash*).  By the time I'd gotten the bug reports submitted, the problem no longer occurred (and hasn't occurred since).

Comment 15 Caolan McNamara 2014-03-14 15:24:00 UTC
https://retrace.fedoraproject.org/faf/reports/371375/ points here but has a different backrace in it. That one suggests a crash in the rtf export (which is related to copy and paste as well)

Comment 16 Caolan McNamara 2014-03-14 15:40:03 UTC
Committed http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d53f81f0a88afcff0f60bbd066a5645ac2e6a8b upstream which might help. Without a reproducer I'll close this as closed->upstream

Comment 17 Sara L. Uckelman 2014-03-28 10:44:45 UTC
This happened again just now: multiple times trying to edit an RTF, ctrl+s caused the program to crash.  I finally was able to save by going to "file -> save", and after that, had no problem with ctrl + s.

Unfortunately, the automatic bug reporter won't gather any new data since the bug has already been reported.

Comment 18 Fedora Update System 2014-04-03 08:20:20 UTC
libreoffice-4.2.3.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.2.3.2-3.fc20

Comment 19 Fedora Update System 2014-04-07 03:28:45 UTC
libreoffice-4.2.3.2-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.